Delete a channel
curl --request DELETE \
--url https://api.range.org/v1/risk/channels/{channel_id} \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.range.org/v1/risk/channels/{channel_id}"
headers = {"X-API-KEY": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.range.org/v1/risk/channels/{channel_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"acknowledged": true
}Channels
Delete a channel
Soft-deletes one channel owned by your workspace: it is disabled and hidden from list/get, but the row is retained (only deleted_at is stamped).
DELETE
/
v1
/
risk
/
channels
/
{channel_id}
Delete a channel
Authorizations
AuthorizationAuthorization
Authorization method required to allow user to access the api endpoints.
Path Parameters
The channel id.
Example:
"44444444-4444-4444-4444-444444444445"
Response
200 - application/json
Example:
true
Last modified on July 22, 2026
Was this page helpful?
⌘I